KDE 4.2 PyKDE API Reference

- KDE's Python API

# NodeFilter Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

## Enumerations

AcceptCode | { FILTER_ACCEPT, FILTER_REJECT, FILTER_SKIP }
ShowCode | { SHOW_ALL, SHOW_ELEMENT, SHOW_ATTRIBUTE, SHOW_TEXT, SHOW_CDATA_SECTION, SHOW_ENTITY_REFERENCE, SHOW_ENTITY, SHOW_PROCESSING_INSTRUCTION, SHOW_COMMENT, SHOW_DOCUMENT, SHOW_DOCUMENT_TYPE, SHOW_DOCUMENT_FRAGMENT, SHOW_NOTATION }

## Methods

| __init__ (self)
| __init__ (self, DOM.NodeFilter other)
| __init__ (self, NodeFilterImpl i)
short | acceptNode (self, DOM.Node n)
DOM.CustomNodeFilter | customNodeFilter (self)
NodeFilterImpl | handle (self)
bool | isNull (self)
| setCustomNodeFilter (self, DOM.CustomNodeFilter custom)

## Static Methods

DOM.NodeFilter | createCustom (DOM.CustomNodeFilter custom)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.NodeFilter | other
| ) |  |  |

__init__ | ( | self, |
|  | NodeFilterImpl | i
| ) |  |  |

short acceptNode | ( | self, |
|  | DOM.Node | n
| ) |  |  |

Test whether a specified node is visible in the logical view of a TreeWalker or NodeIterator. This function will be called by the implementation of TreeWalker and NodeIterator; it is not intended to be called directly from user code.

Parameters:

  | n | The node to check to see if it passes the filter or not.

Returns:
  a constant to determine whether the node is accepted, rejected, or skipped, as defined <a href="#Traversal-NodeFilter-acceptNode-constants"> above .

DOM.NodeFilter createCustom | ( | DOM.CustomNodeFilter | custom
| ) |  |  |

DOM.CustomNodeFilter customNodeFilter | ( |  | self ) |

NodeFilterImpl handle | ( |  | self ) |

Internal:
  not part of the DOM

bool isNull | ( |  | self ) |

setCustomNodeFilter | ( | self, |
|  | DOM.CustomNodeFilter | custom
| ) |  |  |

## Enumeration Documentation

AcceptCode

The following constants are returned by the acceptNode() method:

Enumerator:

  FILTER_ACCEPT = 1 |
  FILTER_REJECT = 2 |
  FILTER_SKIP = 3 |

ShowCode

These are the available values for the whatToShow parameter. They are the same as the set of possible types for Node, and their values are derived by using a bit position corresponding to the value of NodeType for the equivalent node type.

Enumerator:

  SHOW_ALL = 0xFFFFFFFF |
  SHOW_ELEMENT = 0x00000001 |
  SHOW_ATTRIBUTE = 0x00000002 |
  SHOW_TEXT = 0x00000004 |
  SHOW_CDATA_SECTION = 0x00000008 |
  SHOW_ENTITY_REFERENCE = 0x00000010 |
  SHOW_ENTITY = 0x00000020 |
  SHOW_PROCESSING_INSTRUCTION = 0x00000040 |
  SHOW_COMMENT = 0x00000080 |
  SHOW_DOCUMENT = 0x00000100 |
  SHOW_DOCUMENT_TYPE = 0x00000200 |
  SHOW_DOCUMENT_FRAGMENT = 0x00000400 |
  SHOW_NOTATION = 0x00000800 |